Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Member Functions | List of all members
MoveObjectMarker Class Reference

`#include <Plugin-Move/MoveObjectMarker.hh>`

Inheritance diagram for MoveObjectMarker:

## Public Member Functions
bool | stencilRefForObject (BaseObjectData *_obj, GLuint &_reference)
bool | blendForStencilRefNumber (GLuint _reference, GLenum &_src, GLenum &_dst, ACG::Vec4f &_color)
Public Member Functions inherited from ViewObjectMarker
virtual | ~ViewObjectMarker ()
| Destructor.
virtual Type | type ()
virtual bool | blendForStencilRefBit (GLuint _refbit, GLenum &_src, GLenum &_dst, ACG::Vec4f &_color)

## Additional Inherited Members
Public Types inherited from ViewObjectMarker
enum | Type { PerNumber, PerBit }
| Blending type for this marker. More...

## Detailed Description

Object marker to dim all Objects during Maipulator transformation

Definition at line 58 of file MoveObjectMarker.hh.

## Member Function Documentation

bool MoveObjectMarker::blendForStencilRefNumber | ( | GLuint | _reference,
|  | GLenum & | _src,
|  | GLenum & | _dst,
|  | ACG::Vec4f & | _color
| ) |  |
| virtual

Per reference number blending values

Parameters

  _reference | stencil reference for blending
  _src | sfactor parameter for ACG::GLState::blendFunc function
  _dst | dfactor parameter for ACG::GLState::blendFunc function
  _color | color used for blending

Returns
  should blending be berformed for this reference

Reimplemented from ViewObjectMarker.

Definition at line 65 of file MoveObjectMarker.cc.

bool MoveObjectMarker::stencilRefForObject | ( | BaseObjectData * | _obj,
|  | GLuint & | _reference
| ) |  |
| virtual

Get stencil reference for object

Parameters

  _obj | Object
  _reference | stencil reference for object painting

Returns
  should the reference be used

Implements ViewObjectMarker.

Definition at line 59 of file MoveObjectMarker.cc.

The documentation for this class was generated from the following files:

- Plugin-Move/MoveObjectMarker.hh
- Plugin-Move/MoveObjectMarker.cc